ghc-7.0.4: The GHC API

Vectorise.Type.PADict

Synopsis

- buildPADict :: TyCon -> TyCon -> TyCon -> SumRepr -> VM Var

# Documentation

buildPADictSource

Arguments

:: TyCon | tycon of the type being vectorised.
-> TyCon | tycon of the type used for the vectorised representation.
-> TyCon |
-> SumRepr | representation used for the type being vectorised.
-> VM Var | name of the top-level dictionary function.

Build the PA dictionary for some type and hoist it to top level. The PA dictionary holds fns that convert values to and from their vectorised representations.